View Issue Details

IDProjectCategoryLast Update
0021690AI War 2[All Projects] SuggestionOct 8, 2019 2:49 pm
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.891 Vast Tracts of... Ship Graphics 
Fixed in Version0.899 Intel Objective Difficulty Ratings 
Summary0021690: Suggestion for Sniper Frigate Variant
DescriptionTritium Sniper needs a buddy:

Gauss Sniper Frigate--Essentially a mini and portable OMD; high damage to massive objects but much longer cooldown to compensate. Snipe those guardians!

(Puffin, you and Democracy seemed to be interested in this variant)
TagsNo tags attached.

Activities

NRSirLimbo

Sep 28, 2019 9:35 am

reporter   ~0053293

I like the idea too but shouldn't we call it a "Sabot Frigate" instead since it sounds like it'll be a Sabot Guard Post?

RocketAssistedPuffin

Sep 28, 2019 11:03 am

developer   ~0053294

I wouldn't want to call it that, since people'd then expect it to actually have a Sabot flair and a model for it, when it's really just a Tritium variant.

It'll probably keep the Tritium bonus, in a weakened form, and it's also planetary range unlike Sabots as well.

zeusalmighty

Sep 28, 2019 5:31 pm

reporter   ~0053300

Puffin pretty much summed up my reasons for not calling it "sabot"

RocketAssistedPuffin

Oct 8, 2019 2:49 pm

developer   ~0053550

* Add the Ramifier variant of the Tritium Sniper Frigate.
** Ramification - "a subdivision of a complex structure or process." Synonym for radiation, and in this context also used for shattering a target.

Issue History

Date Modified Username Field Change
Sep 27, 2019 1:01 am zeusalmighty New Issue
Sep 28, 2019 9:35 am NRSirLimbo Note Added: 0053293
Sep 28, 2019 11:03 am RocketAssistedPuffin Note Added: 0053294
Sep 28, 2019 5:31 pm zeusalmighty Note Added: 0053300
Oct 8, 2019 2:49 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Oct 8, 2019 2:49 pm RocketAssistedPuffin Status new => resolved
Oct 8, 2019 2:49 pm RocketAssistedPuffin Resolution open => fixed
Oct 8, 2019 2:49 pm RocketAssistedPuffin Fixed in Version => 0.899 Intel Objective Difficulty Ratings
Oct 8, 2019 2:49 pm RocketAssistedPuffin Note Added: 0053550